const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 112)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 120)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 48)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 48))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 72)));
    if *((edi_global_2d_to_2d_local - 108)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 48)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 112)), v5_17);
        *((esi_global_2d_to_2d_local - 120)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    __asm_movsd_2(v5_1c);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v1_a1 = -stack_var__2d_28;
    v4_af = edi_global_2d_to_2d_local - 80;
    v4_b6 = edi_global_2d_to_2d_local - 88;
    v4_ca = v1_a1 * *v4_b6 - v1_a1 * *v4_af;
    v4_d6 = edi_global_2d_to_2d_local - 96;
    v4_dd = edi_global_2d_to_2d_local - 104;
    v7_fe = v4_ca * *v4_d6 + v1_a1 * *v4_dd - *((edi_global_2d_to_2d_local - 24));
    v7_10b = v1_a1 * *v4_af + v1_a1 * *v4_b6 - *((edi_global_2d_to_2d_local - 32));
    sqrtl(v7_fe * v7_fe + v7_10b * v7_10b);
    v12_13c = __asm_wait(v4_ca * *v4_dd - v1_a1 * *v4_d6, v7_fe, v7_10b);
    v1_13d = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_13f = v1_13d / 256 & 65;
    storemerge29_in_in = *(((-132 if v3_13f == 0 else -140) + edi_global_2d_to_2d_local));
    esi_global_2d_to_2d_local[128] = storemerge29_in_in;
    if *((edi_global_2d_to_2d_local - 108)) == 0:;
        # 0x162;
        v1_165 = storemerge29_in_in / *((edi_global_2d_to_2d_local - 48));
    else:;
        v1_165 = storemerge29_in_in;
    # 0x165;
    *((esi_global_2d_to_2d_local - 32)) = v1_165;
    return v12_13c & -0x10000 | v1_13d & -0xff01 | 256 * v3_13f;


	}